/*
******************************************************************

Default und Custom CSS for Module Search

(c) sinntun.codes
******************************************************************
*/

/*** search-container
******************************************************************************* */

.search-container {
    position: absolute;
    top: 85px;
    right: 0;
    z-index: 999;
}

.search-container .search-input {
    padding: 6px;
    margin-top: 8px;
    font-size: 17px;
    border: none;
    width: 221px;
}

.search-container button {
    float: right;
    padding: 6px 10px;
    margin-top: 8px;
    background: #ddd;
    font-size: 17px;
    border: none;
    cursor: pointer;
}

.search-container button:hover {
    background: #ccc;
}

@media only screen and (max-width: 1450px) {
    .search-container {
        right: 25px;
    }
}

@media only screen and (max-width: 1250px) {
    .search-container {
        right: 15px;
    }
}

@media only screen and (max-width: 1024px) {
    .search-container {
        display: none;
    }

    #mobile-searchbutton {
        display: inline-block !important;
    }
}

@media only screen and (max-width: 1040px) {
    .search-container .search-input {
        width: 160px;
    }
}

#mobile-searchbutton {
    display: none;
    position: absolute;
    right: 70px;
    width: 45px;
    padding: 5px;
    cursor: pointer;
    top: 5px;
}

#mobile-searchbutton .icon,
#mobile-searchbutton .text {
    display: inline-block;
    width: 45px;
    text-align: center;
    font-size: 22px;
}

#mobile-search-box {
    position: relative;
    z-index: 999;
    width: 100%;
    box-sizing: border-box;
    padding: 10px 40px 00px;
    height: 0;
    overflow: hidden;
    transition: ease-in-out 0.4s;
    display: none;
    top: 5px;
}

#mobile-search-box .search-input {
    padding: 6px;
    margin-top: 8px;
    font-size: 17px;
    border: none;
    background-color: #efefef;
    float: left;
    width: calc(100% - 65px);
}

#mobile-search-box button {
    float: left;
    padding: 6px 10px;
    margin-top: 8px;
    margin-right: 16px;
    font-size: 17px;
    border: none;
    cursor: pointer;
}


@media only screen and (max-width: 1024px) {

    #mobile-search-box {
        display: block !important;
    }

    #mobile-searchbutton {
        top: 20px;
        padding: 0;
    }
}